cayenne-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrus Adamchik <and...@objectstyle.org>
Subject Re: eclipse plugin for modeler
Date Thu, 18 Feb 2010 12:32:15 GMT
Yeah, IIRC Maven 3.0 was required to run Tycho stuff.

Andrus

On Feb 18, 2010, at 2:28 PM, Khailenko Ksenia wrote:

> Oh, sorry I've not mentioned: I've used maven 3.0-alpha-6, it hasn't  
> these
> problems with versions
>
> 2010/2/18 Andrey Razumovsky <razumovsky.andrey@gmail.com>
>
>> Umm how do you compile the plugin? I have problems with eclipse
>> depencencies. I get hit by [1]. Tried [2] workaround, it helps, but  
>> there
>> are tons of dependencies (i'm using maven 2.2.0).
>>
>> [1] http://jira.codehaus.org/browse/MNG-3518
>> [2] http://issues.apache.org/jira/browse/TUSCANY-2595
>>
>> 2010/2/12 Andrus Adamchik <andrus@objectstyle.org>
>>
>>> I want to try when I have a bit more time, but good point, this  
>>> can be a
>>> problem in a non-Windows L&F. I guess we can completely take over  
>>> the
>> menu
>>> creation in CM, and attach the menus to Eclipse (or maybe it just  
>>> works
>>> somehow???)
>>>
>>> Anyways, the same VM operation is very promising - we don't need  
>>> to redo
>> CM
>>> as a plugin, and we don't need to write Eclipse/CM network  
>>> communication
>>> protocol. Instead we just embed it and only write the glue code in  
>>> the
>>> plugin (which is exactly what Ksenia did in this demo). I guess  
>>> this will
>>> require some refactoring of the CM startup and configuration,  
>>> which I
>> wish
>>> we'd do regardless.
>>>
>>> Andrus
>>>
>>> ---------------
>>> Andrus Adamchik
>>> Apache Cayenne ORM: http://cayenne.apache.org/
>>> Twitter: http://twitter.com/andrus_a
>>>
>>>
>>>
>>>
>>> On Feb 12, 2010, at 5:46 PM, Michael Gentry wrote:
>>>
>>> I'm curious if you have tried this on OS X?  If you are running in  
>>> the
>>>> same JVM as Eclipse, then I suspect there will be OS X issues due  
>>>> to
>>>> the menus.
>>>>
>>>> Thanks,
>>>>
>>>> mrg
>>>>
>>>>
>>>> On Fri, Feb 12, 2010 at 6:20 AM, Khailenko Ksenia
>>>> <xenia_khailenka@tut.by> wrote:
>>>>
>>>>> Hi there!
>>>>> I'd like you to introduce this demo of the
>>>>>
>>>>>
>> cayenne-modeler-eclipse-plugin(Research-eclipse-plugin-for-opening- 
>> cayenne-modeler.patch
>>>>> at https://issues.apache.org/jira/browse/CAY-1392 ).
>>>>>
>>>>> This works like an editor now. So, to open the modeler from  
>>>>> eclipse
>>>>> you should select the existing cayenne*.xml in your eclipse  
>>>>> project
>>>>> and after the right click on it choose the "Open With/Other"  
>>>>> command.
>>>>> Then in the wizard of "Editor selection"("Internal editors"  
>>>>> option)
>>>>> choose "Cayenne Modeler Eclipse Plugin".
>>>>>
>>>>> This will run Cayenne Modeler on the same jvm as your Eclipse is
>>>>> running. Cayenne Modeler will open the project of cayenne*.xml  
>>>>> you've
>>>>> selected and will update the corresponding eclipse project every  
>>>>> time
>>>>> you save the project in modeler. Buttons and menues  
>>>>> corresponding to
>>>>> creating of new project or opening some another project are  
>>>>> disabled.
>>>>> Command "Close Project" will force the modeler to quit. Also  
>>>>> when you
>>>>> save the project in modeler the dialog of generating classes  
>>>>> appears
>>>>> for every dataMap existing at the project. Now there are no any
>>>>> restrictions on opening any file in the eclipse workspace with  
>>>>> this
>>>>> editor, and if the file you attempt to open is not match  
>>>>> cayenne*.xml
>>>>> this will force the Modeler to be opened with the default view of
>>>>> choosing the project.
>>>>>
>>>>> --
>>>>> Regards, Ksenia Khailenko
>>>>>
>>>>>
>>>>
>>>
>>
>>
>> --
>> Andrey
>>
>
>
>
> -- 
> Regards, Ksenia Khailenko


Mime
View raw message